Bug 1079130 - Yast reporting "Missing device for /boot with size equal or bigger than 100 MiB ..." on RAID1
Yast reporting "Missing device for /boot with size equal or bigger than 100 M...
Status: RESOLVED DUPLICATE of bug 1078707
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
PowerPC Other
: P5 - None : Normal (vote)
: ---
Assigned To: E-mail List
Jiri Srain
https://openqa.opensuse.org/tests/599...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-02-02 16:56 UTC by Michel Normand
Modified: 2018-02-21 08:08 UTC (History)
3 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
y2log.txt (with Y2DDEBUG=1) (9.70 MB, text/plain)
2018-02-05 13:20 UTC, Michel Normand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michel Normand 2018-02-02 16:56:33 UTC
[Build 20180201] openQA test fails in partitioning_raid

## Observation

openQA test in scenario opensuse-Tumbleweed-DVD-ppc64le-RAID0@ppc64le fails in
[partitioning_raid](https://openqa.opensuse.org/tests/599496/modules/partitioning_raid/steps/215)


## Reproducible

Fails since (at least) Build [20180117](https://openqa.opensuse.org/tests/585132)


## Expected result

Last good: [20180116](https://openqa.opensuse.org/tests/583825) (or more recent)


## Further details

Always latest result in this scenario: [latest](https://openqa.opensuse.org/tests/latest?arch=ppc64le&distri=opensuse&test=RAID0&version=Tumbleweed&flavor=DVD&machine=ppc64le)
Comment 1 Michel Normand 2018-02-02 17:32:20 UTC
The associated save_y2logs tarball (1) captured by openQA do not have any files that reports this same "Missing device for /boot with size equal or bigger than 100 MiB ..."
Does it mean we are missing to capture required data ?

(1) https://openqa.opensuse.org/tests/599496/file/partitioning_raid-y2logs.tar.bz2
===
$tar -tjf tmp_raid/partitioning_raid-y2logs.tar.bz2 |sort
dmesg
etc/os-release
etc/X11/xorg.conf
etc/X11/xorg.conf.d/
etc/X11/xorg.conf.d/10-libvnc.conf
etc/X11/xorg.conf.d/10-quirks.conf
etc/X11/xorg.conf.d/40-libinput.conf
etc/X11/xorg.conf.d/50-extensions.conf
etc/X11/xorg.conf.d/70-wacom.conf
install.inf
journalctl-dmesg
linuxrc.config
linuxrc.log
_packages.root
rpm-qa
wickedd.log
Xorg.0.log
YaST2/
YaST2/macro_inst_initial.ycp
YaST2/y2log
YaST2/y2start.log
===
Comment 2 Michel Normand 2018-02-05 13:20:24 UTC
Created attachment 758829 [details]
y2log.txt (with Y2DDEBUG=1)

same failure on snapshot 20180203 with Y2DEBUG=1 
https://openqa.opensuse.org/tests/601959#step/partitioning_raid/218

I do not know how to continue investigation.
Comment 3 Imobach Gonzalez Sosa 2018-02-05 13:57:08 UTC
Iván, could you have a look please? Thanks in advance!
Comment 4 Michel Normand 2018-02-09 07:47:00 UTC
(In reply to Imobach Gonzalez Sosa from comment #3)
> Iván, could you have a look please? Thanks in advance!

What should be done to help for investigation ?
Comment 5 José Iván López González 2018-02-09 08:35:07 UTC
The problem is that the Expert Partitioner is requiring /boot to be a plain partition. We already have an internal bug report for this, so I mark this one as duplicated.

bsc#1078707

Thanks for reporting!

*** This bug has been marked as a duplicate of bug 1078707 ***
Comment 6 Michel Normand 2018-02-20 11:39:04 UTC
Still have problem with snapshot 20180219 as per (1) with "old" yast2-storage-ng:
_packages.root extracted from tarball still reports "old" version 4.0.93 (2)

Despite the presence in OBS of "new" version 4.0.97 in PowerPC project (3)
(as per bug#1078707 this package version is correction of the problem)

How is supposed to be used in built ISO this new yast2-storage-ng version ?
Dominique do you have a clue ?

(1) https://openqa.opensuse.org/tests/614032#step/partitioning_raid/218
(2) https://openqa.opensuse.org/tests/614032/file/partitioning_raid-y2logs.tar.bz2 extract:
=== 
$grep storage.ng _packages.root
libstorage-ng-ruby [3.3.157-1.1.ppc64le] < yast2-storage-ng
libstorage-ng1 [3.3.157-1.1.ppc64le] < libstorage-ng-ruby < yast2-storage-ng
lsscsi [0.28-1.9.ppc64le] < libstorage-ng1 < libstorage-ng-ruby < yast2-storage-ng
yast2-storage-ng [4.0.93-1.1.noarch]
===
(3) https://build.opensuse.org/package/binary/openSUSE:Factory:PowerPC/yast2-storage-ng?arch=ppc64le&filename=yast2-storage-ng-4.0.97-1.1.noarch.rpm&repository=standard
Comment 7 Dominique Leuenberger 2018-02-20 11:44:37 UTC
(In reply to Michel Normand from comment #6)
> Still have problem with snapshot 20180219 as per (1) with "old"
> yast2-storage-ng:
> _packages.root extracted from tarball still reports "old" version 4.0.93 (2)
> 
> Despite the presence in OBS of "new" version 4.0.97 in PowerPC project (3)
> (as per bug#1078707 this package version is correction of the problem)
> 
> How is supposed to be used in built ISO this new yast2-storage-ng version ?
> Dominique do you have a clue ?

That would be embedded into the installation-images, which last built on PowerPC on Feb 13;

Give this a rebuild, then the next installer disk will have more up-to-date packages embedded
Comment 8 Michel Normand 2018-02-21 08:08:44 UTC
correction available with TW snapshot 20180220 for PowerPC as per openQA results
https://openqa.opensuse.org/tests/614776